Skip to main content
GET
/
assessment
/
api
/
v1
/
questionnaire_data
/
{assessment_id}
/
Get Assessment Data
curl --request GET \
  --url https://api.eka.care/assessment/api/v1/questionnaire_data/{assessment_id}/ \
  --header 'auth: <api-key>' \
  --header 'client-id: <client-id>' \
  --header 'content-type: <content-type>'
{
  "data": {
    "practitioner": {
      "practitioner_uuid": "TEST-DR-123"
    },
    "patient": {
      "unique_identifier": "TEST-PATIENT-UNIQUE-123",
      "patient_uuid": "TEST-PATIENT-123",
      "age": 24,
      "gender": "m"
    },
    "fhir_data": {}
  }
}
The format of the response is as follows:

Response

{
    "data": {
        "practitioner": {
            "practitioner_uuid": "<string>"
        },
        "patient": {
            "unique_identifier": "<string>",
            "patient_uuid": "<string>",
            "age": "<integer | null>",
            "gender": "<m/f/o | null>"
        },
        "fhir_data": {
            // Full FHIR QuestionnareSummaryResponse resource
        }
    }
}

Authorizations

auth
string
header
required

The authentication token of the developer (generated using Authorization API).

Headers

client-id
string
required

Any unique string to identify the logged in developer.

content-type
enum<string>
required
Available options:
application/json
Example:

"application/json"

Path Parameters

assessment_id
string
required

The hash that uniquely identifies the assessment session.

Response

OK

data
object